Imports System.Drawing


Public Class frmDistanceComp


    Private Sub frmDistanceCompensation_Load(sender As Object, e As EventArgs) Handles Me.Load
        Try
            Me.Visible = True
            Me.txtCoeff_x0.Text = sngDistanceCorrectionCoeff_x0.ToString
            Me.txtCoeff_x1.Text = sngDistanceCorrectionCoeff_x1.ToString
            Me.txtCoeff_x2.Text = sngDistanceCorrectionCoeff_x2.ToString
        Catch ex As Exception
            frmDebug.subWriteLogs(" EXCEPTION in frmDistanceCompensation_Load:  " & ex.ToString)
        End Try
    End Sub



    Private Sub txtCoeff_x2_TextChanged(sender As Object, e As EventArgs) Handles txtCoeff_x2.TextChanged
        Try
            If Not Me.InvokeRequired Then
                If txtCoeff_x2.Focused Then
                    sngDistanceCorrectionCoeff_x2 = Convert.ToSingle(txtCoeff_x2.Text)
                End If
            End If
        Catch ex As Exception
            frmDebug.subWriteLogs(" EXCEPTION in txtCoeff_x2_TextChanged :  " & ex.ToString)
        End Try
    End Sub
    Private Sub txtCoeff_x1_TextChanged(sender As Object, e As EventArgs) Handles txtCoeff_x1.TextChanged
        Try
            If Not Me.InvokeRequired Then
                If txtCoeff_x1.Focused Then
                    sngDistanceCorrectionCoeff_x1 = Convert.ToSingle(txtCoeff_x1.Text)
                End If
            End If
        Catch ex As Exception
            frmDebug.subWriteLogs(" EXCEPTION in txtCoeff_x1_TextChanged :  " & ex.ToString)
        End Try
    End Sub
    Private Sub txtCoeff_x0_TextChanged(sender As Object, e As EventArgs) Handles txtCoeff_x0.TextChanged
        Try
            If Not Me.InvokeRequired Then
                If txtCoeff_x0.Focused Then
                    sngDistanceCorrectionCoeff_x0 = Convert.ToSingle(txtCoeff_x0.Text)
                End If
            End If
        Catch ex As Exception
            frmDebug.subWriteLogs(" EXCEPTION in txtCoeff_x0_TextChanged :  " & ex.ToString)
        End Try
    End Sub


    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.Visible = False
        Me.Close()
    End Sub


End Class